#ifndef __BS_ENV_H__
#define __BS_ENV_H__

#include "bs_types.h"
#include "bs_vector.h"

typedef struct bs_env_st 
{
  bs_float_t left, right, top, bottom; 
} bs_env_t; 

bs_env_t*
bs_env_create(bs_float_t x, 
              bs_float_t y, 
              bs_float_t w, 
              bs_float_t h); 

void 
bs_env_destroy(bs_env_t *pEnv); 

bs_bool_t 
bs_env_collision(bs_env_t *pEnv, 
                 bs_vector_t *pCurPos, 
                 bs_vector_t *pPrevPos); 

#endif
